/*

Flash0++ v1.0 par Roomain. Dbut de dveloppement: 2/04/07.
Release le:   xx/04/07

Ce programme a besoin de zlib et de la libpng pour se compiler. 

LICENCE GNU/GPL :
-----------------

	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.

-----------------

Vive le libre !

 */

#include <pspkernel.h>
#include <pspdisplay.h>
#include <pspdebug.h>
#include <pspctrl.h>
#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <pspgu.h>
#include <png.h>
#include "graphics.h"

PSP_MODULE_INFO("Flash0++FINAL", 0, 1, 1);

#define printf pspDebugScreenPrintf

int status = 1; // ne rien toucher.
int nombreChoix = 5; // le nombre d'options dans votre menu

int old=6; // ne rien toucher, se modifie en fonction de nombreChoix.
int deja=0;
int err=0;

char buf[16384]; 


Image * intro;
Image * langue;
Image * xtream;
Image * fond;
Image * texte;
Image * point;
Image * quitter;
Image * credit;
Image * encours;
Image * termine;
Image * fin;
Image * erreur;

// Fonctions pour le fonctionnement de la touche HOME
int exit_callback(int arg1, int arg2, void *common)
{
   sceKernelExitGame();

   return 0;
}


void CallbackThread(void *arg)
{
   int cbid;

   cbid = sceKernelCreateCallback("Exit Callback", exit_callback, NULL);
   sceKernelRegisterExitCallback(cbid);

   sceKernelSleepThreadCB();
}


int SetupCallbacks(void)
{
   int thid = 0;

   thid = sceKernelCreateThread("update_thread", CallbackThread, 0x11, 0xFA0, 0, 0);
   if(thid >= 0)
   {
      sceKernelStartThread(thid, 0, 0);
   }

   return thid;
}





int copierFichier(char *input, char *output)
{


	sceIoUnassign("flash0:");
	sceIoAssign("flash0:", "lflash0:0,0", "flashfat0:", IOASSIGN_RDWR, NULL, 0);
    
 

    SceUID i = sceIoOpen(input, PSP_O_RDONLY, 0777);   

    // Si le fichier d'entr?e est inexistant, on renvoit une erreur.
    if (i < 0)
        return -1;
		
	
    sceIoRemove(output);
	SceUID o = sceIoOpen(output, PSP_O_WRONLY | PSP_O_CREAT | PSP_O_TRUNC, 0777);

    

    // Si le fichier du flash est inexistant, on renvoit une erreur.
    if (o < 0)
        return -1;

    int read;

    while ((read = sceIoRead(i, buf, 16384)) > 0)
    {
        sceIoWrite(o, buf, read);
    }

    // Ca c'est fait par moi: ca regarde si le fichier est bien flash?.
    if (o<i)
        return -1;

    // On ferme le tout
    sceIoClose(i);
    sceIoClose(o);

	
	
}


void supTout()
{
initGraphics();
blitImageToScreen(0, 0, fond->imageWidth, fond->imageHeight, fond, 0, 0);
blitAlphaImageToScreen(0, 0, encours->imageWidth, encours->imageHeight, encours, 0, 0);
flipScreen();

if(copierFichier("flash0:/font/ltn0.pgf", "ms0:/ltn0.pgf.bak")<0)
{
err++;
}

if(copierFichier("flash0:/font/jpn0.pgf", "ms0:/jpn0.pgf.bak")<0)
{
err++;
}

if(copierFichier("flash0:/font/gb3s1518.bwfon", "ms0:/gb3s1518.bwfon.bak")<0)
{
err++;
}

if(copierFichier("ms0:/ltn0.pgf.bak", "flash0:/font/gb3s1518.bwfon")<0)
{
err++;
}

if(copierFichier("ms0:/ltn0.pgf.bak", "flash0:/font/jpn0.pgf")<0)
{
err++;
}

initGraphics();
blitAlphaImageToScreen(0, 0, termine->imageWidth, termine->imageHeight, termine, 0, 0);

if(err>0)
{
blitAlphaImageToScreen(0, 0, erreur->imageWidth, erreur->imageHeight, erreur, 140, 80);
flipScreen();
}
else
{
blitAlphaImageToScreen(0, 0, fin->imageWidth, fin->imageHeight, fin, 140, 80);
flipScreen();
}
err=0;
}

void supJap()
{

initGraphics();
blitImageToScreen(0, 0, fond->imageWidth, fond->imageHeight, fond, 0, 0);
blitAlphaImageToScreen(0, 0, encours->imageWidth, encours->imageHeight, encours, 0, 0);
flipScreen();

if(copierFichier("flash0:/font/ltn0.pgf", "ms0:/ltn0.pgf.bak")<0)
{
err++;
}

if(copierFichier("flash0:/font/jpn0.pgf", "ms0:/jpn0.pgf.bak")<0)
{
err++;
}

if(copierFichier("flash0:/font/gb3s1518.bwfon", "ms0:/gb3s1518.bwfon.bak")<0)
{
err++;
}


if(copierFichier("ms0:/ltn0.pgf.bak", "flash0:/font/jpn0.pgf")<0)
{
err++;
}

initGraphics();
blitAlphaImageToScreen(0, 0, termine->imageWidth, termine->imageHeight, termine, 0, 0);

if(err>0)
{
blitAlphaImageToScreen(0, 0, erreur->imageWidth, erreur->imageHeight, erreur, 140, 80);
flipScreen();
}
else
{
blitAlphaImageToScreen(0, 0, fin->imageWidth, fin->imageHeight, fin, 140, 80);
flipScreen();
}
err=0;
}



void restaure()
{

initGraphics();
blitImageToScreen(0, 0, fond->imageWidth, fond->imageHeight, fond, 0, 0);
blitAlphaImageToScreen(0, 0, encours->imageWidth, encours->imageHeight, encours, 0, 0);
flipScreen();



if(copierFichier("ms0:/gb3s1518.bwfon.bak", "flash0:/font/gb3s1518.bwfon")<0)
{
err++;
}

if(copierFichier("ms0:/jpn0.pgf.bak", "flash0:/font/jpn0.pgf")<0)
{
err++;
}

initGraphics();
blitAlphaImageToScreen(0, 0, termine->imageWidth, termine->imageHeight, termine, 0, 0);

if(err>0)
{
blitAlphaImageToScreen(0, 0, erreur->imageWidth, erreur->imageHeight, erreur, 140, 80);
flipScreen();
}
else
{
blitAlphaImageToScreen(0, 0, fin->imageWidth, fin->imageHeight, fin, 140, 80);
flipScreen();
}
err=0;

}

/*

blitImageToScreen(0, 0, fond->imageWidth, fond->imageHeight, fond, 0, 0);
blitAlphaImageToScreen(0, 0, texte->imageWidth, texte->imageHeight, texte, 0, 0);


*/


void progFrench()
{
flipScreen();

intro = loadImage("./images/intro.png");


blitImageToScreen(0, 0, intro->imageWidth, intro->imageHeight, intro, 0, 0);
flipScreen();

sceKernelDelayThread(5*1000*1000);

fond = loadImage("./images/fond.png");
texte = loadImage("./images/texte.png");
point = loadImage("./images/point.png");

credit = loadImage("./images/credits.png");
encours = loadImage("./images/encours.png");
termine = loadImage("./images/termine.png");
fin = loadImage("./images/fin.png");
erreur = loadImage("./images/erreur.png");





	while(1){

	

        SceCtrlData pad;
        sceCtrlReadBufferPositive(&pad, 1);

    if (pad.Buttons & PSP_CTRL_DOWN) // Si on appuie sur touche BAS, il faut changer le status.
	{
	status++;

	}
	

	
	

    if (pad.Buttons & PSP_CTRL_UP) // Si on appuie sur touche HAUT, il faut changer le status.
	{
	status--;

	}
	
	if (pad.Buttons & PSP_CTRL_CIRCLE) // Si on appuie sur touche ROND, il faut changer le status.
	{
	status--;
	

	}

	if (pad.Buttons & PSP_CTRL_TRIANGLE) // Si on appuie sur touche ROND, il faut changer le status.
	{
	sceKernelExitGame();
	

	}
	
	if (status>nombreChoix) //on retourne en haut du menu si on arrive  la fin du menu
	{
	status=1;
	}

	if (status<1)
	{
	status=nombreChoix;
	}

	if (pad.Buttons & PSP_CTRL_CROSS) //pour effectuer les actions
	{

	if(status==1)
	{
	supTout();
	}

	if(status==2)
	{
	supJap();
	}
	
	if(status==3)
	{
	restaure();
	}
	
	if(status==4)
	{
	
	blitImageToScreen(0, 0, credit->imageWidth, credit->imageHeight, credit, 0, 0);
	flipScreen();
	}
	
	if(status==5)
	{
	sceKernelExitGame();
	}

	}
	
	if(status==old)
	{
	
	if(deja==0){
	flipScreen();
	deja++;
	}
	}

	else
	{
	pspDebugScreenClear();

	if(status==1)
	{
	blitImageToScreen(0, 0, fond->imageWidth, fond->imageHeight, fond, 0, 0);
	blitAlphaImageToScreen(0, 0, texte->imageWidth, texte->imageHeight, texte, 0, 0);
	
	blitAlphaImageToScreen(0, 0, point->imageWidth, point->imageHeight, point, 13, 43);
	printTextScreen(22, 204, "--------------------------------------------", 0xFFFFFF);
	printTextScreen(22, 215, "Cette option supprime jpn0.pgf et gb3s1518.bwfon", 0xFFFFFF);
	printTextScreen(22, 226, "Libere 2,5 mo dans le flash0 avec des bugs dans le XMB!", 0xFFFFFF);

	}
	
	if(status==2)
	{
	blitImageToScreen(0, 0, fond->imageWidth, fond->imageHeight, fond, 0, 0);
	blitAlphaImageToScreen(0, 0, texte->imageWidth, texte->imageHeight, texte, 0, 0);
	
	blitAlphaImageToScreen(0, 0, point->imageWidth, point->imageHeight, point, 13, 76);
	printTextScreen(22, 204, "--------------------------------------------", 0xFFFFFF);
	printTextScreen(22, 215, "Cette option supprime uniquement jpn0.pgf", 0xFFFFFF);
	printTextScreen(22, 226, "Libere 1 mo dans le flash0 mais (normalement)", 0xFFFFFF);
	printTextScreen(22, 237, "n'engendre pas de bugs dans le XMB", 0xFFFFFF);
	
	}
		
	if(status==3)
	{
	blitImageToScreen(0, 0, fond->imageWidth, fond->imageHeight, fond, 0, 0);
	blitAlphaImageToScreen(0, 0, texte->imageWidth, texte->imageHeight, texte, 0, 0);
	
	blitAlphaImageToScreen(0, 0, point->imageWidth, point->imageHeight, point, 13, 110);
	printTextScreen(22, 204, "--------------------------------------------", 0xFFFFFF);
	printTextScreen(22, 215, "Restaure les fichiers modifies par ce programme.", 0xFFFFFF);
	printTextScreen(22, 226, "Vous ne devez pas avoir supprime les .bak", 0xFFFFFF);
	printTextScreen(22, 237, "a la racine de votre Memory Stick !", 0xFFFFFF);
	
	}
	
	if(status==4)
	{
	blitImageToScreen(0, 0, fond->imageWidth, fond->imageHeight, fond, 0, 0);
	blitAlphaImageToScreen(0, 0, texte->imageWidth, texte->imageHeight, texte, 0, 0);
	
	blitAlphaImageToScreen(0, 0, point->imageWidth, point->imageHeight, point, 13, 143);
		printTextScreen(22, 204, "--------------------------------------------", 0xFFFFFF);
	printTextScreen(22, 215, "Les createurs, remerciements, etc.", 0xFFFFFF);

	
	}
	
	if(status==5)
	{
	blitImageToScreen(0, 0, fond->imageWidth, fond->imageHeight, fond, 0, 0);
	blitAlphaImageToScreen(0, 0, texte->imageWidth, texte->imageHeight, texte, 0, 0);
	
	blitAlphaImageToScreen(0, 0, point->imageWidth, point->imageHeight, point, 13, 176);
	printTextScreen(22, 204, "--------------------------------------------", 0xFFFFFF);
	printTextScreen(22, 215, "Quitte le programme.", 0xFFFFFF);
	printTextScreen(22, 226, "Vous pouvez aussi utiliser la touche HOME de votre PSP.", 0xFFFFFF);
	
	
	}
		
	flipScreen();
	deja=1;

	}


	sceKernelDelayThread(1*130*1000); // une petite pause sinon le menu bug.

	old=status;
	

} //Fin de la boucle

}

void progEnglish()
{

flipScreen();

intro = loadImage("./images/en/intro.png");


blitImageToScreen(0, 0, intro->imageWidth, intro->imageHeight, intro, 0, 0);
flipScreen();

sceKernelDelayThread(4*1000*1000);

fond = loadImage("./images/en/fond.png");
texte = loadImage("./images/en/texte.png");
point = loadImage("./images/point.png");

credit = loadImage("./images/en/credits.png");
encours = loadImage("./images/en/encours.png");
termine = loadImage("./images/en/termine.png");
fin = loadImage("./images/en/fin.png");
erreur = loadImage("./images/en/erreur.png");






	while(1){

	

        SceCtrlData pad;
        sceCtrlReadBufferPositive(&pad, 1);

    if (pad.Buttons & PSP_CTRL_DOWN) // Si on appuie sur touche BAS, il faut changer le status.
	{
	status++;

	}
	

	
	

    if (pad.Buttons & PSP_CTRL_UP) // Si on appuie sur touche HAUT, il faut changer le status.
	{
	status--;

	}
	
	if (pad.Buttons & PSP_CTRL_CIRCLE) // Si on appuie sur touche ROND, il faut changer le status.
	{
	status--;
	

	}

	if (pad.Buttons & PSP_CTRL_TRIANGLE) // Si on appuie sur touche ROND, il faut changer le status.
	{
	sceKernelExitGame();
	

	}
	
	if (status>nombreChoix) //on retourne en haut du menu si on arrive  la fin du menu
	{
	status=1;
	}

	if (status<1)
	{
	status=nombreChoix;
	}

	if (pad.Buttons & PSP_CTRL_CROSS) //pour effectuer les actions
	{

	if(status==1)
	{
	supTout();
	}

	if(status==2)
	{
	supJap();
	}
	
	if(status==3)
	{
	restaure();
	}
	
	if(status==4)
	{
	
	blitImageToScreen(0, 0, credit->imageWidth, credit->imageHeight, credit, 0, 0);
	flipScreen();
	}
	
	if(status==5)
	{
	sceKernelExitGame();
	}

	}
	
	if(status==old)
	{
	
	if(deja==0){
	flipScreen();
	deja++;
	}
	}

	else
	{
	pspDebugScreenClear();

	if(status==1)
	{
	blitImageToScreen(0, 0, fond->imageWidth, fond->imageHeight, fond, 0, 0);
	blitAlphaImageToScreen(0, 0, texte->imageWidth, texte->imageHeight, texte, 0, 0);
	
	blitAlphaImageToScreen(0, 0, point->imageWidth, point->imageHeight, point, 13, 38);
	printTextScreen(22, 204, "--------------------------------------------", 0xFFFFFF);
	printTextScreen(22, 215, "This option delete jpn0.pgf and gb3s1518.bwfon", 0xFFFFFF);
	printTextScreen(22, 226, "Free space will be 2,5mo but cause some small bugs", 0xFFFFFF);
	printTextScreen(22, 237, "in the XMB", 0xFFFFFF);

	}
	
	if(status==2)
	{
	blitImageToScreen(0, 0, fond->imageWidth, fond->imageHeight, fond, 0, 0);
	blitAlphaImageToScreen(0, 0, texte->imageWidth, texte->imageHeight, texte, 0, 0);
	
	blitAlphaImageToScreen(0, 0, point->imageWidth, point->imageHeight, point, 13, 71);
	printTextScreen(22, 204, "--------------------------------------------", 0xFFFFFF);
	printTextScreen(22, 215, "This option delete only jpn0.pgf", 0xFFFFFF);
	printTextScreen(22, 226, "Free space will be 1,5mo but no bugs in the XMB", 0xFFFFFF);

	
	}
		
	if(status==3)
	{
	blitImageToScreen(0, 0, fond->imageWidth, fond->imageHeight, fond, 0, 0);
	blitAlphaImageToScreen(0, 0, texte->imageWidth, texte->imageHeight, texte, 0, 0);
	
	blitAlphaImageToScreen(0, 0, point->imageWidth, point->imageHeight, point, 13, 105);
	printTextScreen(22, 204, "--------------------------------------------", 0xFFFFFF);
	printTextScreen(22, 215, "Restore all files deleted by this program.", 0xFFFFFF);


	
	}
	
	if(status==4)
	{
	blitImageToScreen(0, 0, fond->imageWidth, fond->imageHeight, fond, 0, 0);
	blitAlphaImageToScreen(0, 0, texte->imageWidth, texte->imageHeight, texte, 0, 0);
	
	blitAlphaImageToScreen(0, 0, point->imageWidth, point->imageHeight, point, 13, 138);
		printTextScreen(22, 204, "--------------------------------------------", 0xFFFFFF);
	printTextScreen(22, 215, "Creators, thanks, etc.", 0xFFFFFF);

	
	}
	
	if(status==5)
	{
	blitImageToScreen(0, 0, fond->imageWidth, fond->imageHeight, fond, 0, 0);
	blitAlphaImageToScreen(0, 0, texte->imageWidth, texte->imageHeight, texte, 0, 0);
	
	blitAlphaImageToScreen(0, 0, point->imageWidth, point->imageHeight, point, 13, 171);
	printTextScreen(22, 204, "--------------------------------------------", 0xFFFFFF);
	printTextScreen(22, 215, "Quit this program.", 0xFFFFFF);
	printTextScreen(22, 226, "You also can use HOME or TRIANGLE button of your PSP", 0xFFFFFF);
	
	
	}
		
	flipScreen();
	deja=1;

	}


	sceKernelDelayThread(1*130*1000); // une petite pause sinon le menu bug.

	old=status;
	

} //Fin de la boucle


}


int main(void)
{

SetupCallbacks();


initGraphics();

// Chargement images

intro = loadImage("./images/intro.png");
fond = loadImage("./images/fond.png");

xtream = loadImage("./images/xtream.png");
blitImageToScreen(0, 0, xtream->imageWidth, xtream->imageHeight, xtream, 0, 0);
flipScreen();
langue = loadImage("./images/langue.png");
point = loadImage("./images/point.png");

sceKernelDelayThread(2*1500*1000);


	blitImageToScreen(0, 0, fond->imageWidth, fond->imageHeight, fond, 0, 0);
	blitAlphaImageToScreen(0, 0, langue->imageWidth, langue->imageHeight, langue, 0, 0);
	blitAlphaImageToScreen(0, 0, point->imageWidth, point->imageHeight, point, 57, 104);
	
	printTextScreen(22, 174, "--------------------------------------------", 0xFFFFFF);
	printTextScreen(22, 185, "Lancera le programme avec le francais comme langue.", 0xFFFFFF);

flipScreen();



int lst = 1;
int lch = 2;
int lold = 3;
int ldej = 1;

	while(1){

	

        SceCtrlData pad;
        sceCtrlReadBufferPositive(&pad, 1);

    if (pad.Buttons & PSP_CTRL_RIGHT)
	{
	lst++;
	}
    if (pad.Buttons & PSP_CTRL_LEFT)
	{
	lst--;
	}
	if(lst>lch)
	{
	lst=1;
	}
	
	if (pad.Buttons & PSP_CTRL_CROSS)
	{
	if(lst==1)
	{
	
	progFrench();
	break;
	}
	if(lst==2)
	{
	progEnglish();
	break;
	}
	}
	if(lold==lst)
	{
	if(ldej==1)
	{
	flipScreen();
	ldej++;
	}
	}
	
	else
	{
	if(lst==1)
	{

	blitImageToScreen(0, 0, fond->imageWidth, fond->imageHeight, fond, 0, 0);
	blitAlphaImageToScreen(0, 0, langue->imageWidth, langue->imageHeight, langue, 0, 0);
	blitAlphaImageToScreen(0, 0, point->imageWidth, point->imageHeight, point, 57, 104);
	
	printTextScreen(22, 174, "--------------------------------------------", 0xFFFFFF);
	printTextScreen(22, 185, "Lancera le programme avec le francais comme langue.", 0xFFFFFF);
	
	}
	if(lst==2)
	{

	blitImageToScreen(0, 0, fond->imageWidth, fond->imageHeight, fond, 0, 0);
	blitAlphaImageToScreen(0, 0, langue->imageWidth, langue->imageHeight, langue, 0, 0);
	blitAlphaImageToScreen(0, 0, point->imageWidth, point->imageHeight, point, 309, 104);
	printTextScreen(22, 174, "--------------------------------------------", 0xFFFFFF);
	printTextScreen(22, 185, "Will launch the program in English ! (new)", 0xFFFFFF);
	
	}

	flipScreen();
	lold=lst;
	
	
	}
	
	sceKernelDelayThread(1*133*1000);
	
		}

/*
blitImageToScreen(0, 0, intro->imageWidth, intro->imageHeight, intro, 0, 0);
flipScreen();

sceKernelDelayThread(8*1000*1000);
fond = loadImage("./images/fond.png");
texte = loadImage("./images/texte.png");
point = loadImage("./images/point.png");
quitter = loadImage("./images/quit.png");
credit = loadImage("./images/credits.png");
encours = loadImage("./images/encours.png");
termine = loadImage("./images/termine.png");
fin = loadImage("./images/fin.png");
erreur = loadImage("./images/erreur.png");

*/

/*

	while(1){

	

        SceCtrlData pad;
        sceCtrlReadBufferPositive(&pad, 1);

    if (pad.Buttons & PSP_CTRL_DOWN) // Si on appuie sur touche BAS, il faut changer le status.
	{
	status++;

	}
	

	
	

    if (pad.Buttons & PSP_CTRL_UP) // Si on appuie sur touche HAUT, il faut changer le status.
	{
	status--;

	}
	
	if (pad.Buttons & PSP_CTRL_CIRCLE) // Si on appuie sur touche ROND, il faut changer le status.
	{
	status--;
	

	}

	if (pad.Buttons & PSP_CTRL_TRIANGLE) // Si on appuie sur touche ROND, il faut changer le status.
	{
	sceKernelExitGame();
	

	}
	
	if (status>nombreChoix) //on retourne en haut du menu si on arrive  la fin du menu
	{
	status=1;
	}

	if (status<1)
	{
	status=nombreChoix;
	}

	if (pad.Buttons & PSP_CTRL_CROSS) //pour effectuer les actions
	{

	if(status==1)
	{
	supTout();
	}

	if(status==2)
	{
	supJap();
	}
	
	if(status==3)
	{
	restaure();
	}
	
	if(status==4)
	{
	
	blitImageToScreen(0, 0, credit->imageWidth, credit->imageHeight, credit, 0, 0);
	flipScreen();
	}
	
	if(status==5)
	{
	sceKernelExitGame();
	}

	}
	
	if(status==old)
	{
	
	if(deja==0){
	flipScreen();
	deja++;
	}
	}

	else
	{
	pspDebugScreenClear();

	if(status==1)
	{
	blitImageToScreen(0, 0, fond->imageWidth, fond->imageHeight, fond, 0, 0);
	blitAlphaImageToScreen(0, 0, texte->imageWidth, texte->imageHeight, texte, 0, 0);
	
	blitAlphaImageToScreen(0, 0, point->imageWidth, point->imageHeight, point, 13, 43);
	printTextScreen(22, 204, "--------------------------------------------", 0xFFFFFF);
	printTextScreen(22, 215, "Cette option supprime jpn0.pgf et gb3s1518.bwfon", 0xFFFFFF);
	printTextScreen(22, 226, "Libere 2,5 mo dans le flash0 avec des bugs dans le XMB!", 0xFFFFFF);

	}
	
	if(status==2)
	{
	blitImageToScreen(0, 0, fond->imageWidth, fond->imageHeight, fond, 0, 0);
	blitAlphaImageToScreen(0, 0, texte->imageWidth, texte->imageHeight, texte, 0, 0);
	
	blitAlphaImageToScreen(0, 0, point->imageWidth, point->imageHeight, point, 13, 76);
	printTextScreen(22, 204, "--------------------------------------------", 0xFFFFFF);
	printTextScreen(22, 215, "Cette option supprime uniquement jpn0.pgf", 0xFFFFFF);
	printTextScreen(22, 226, "Libere 1 mo dans le flash0 mais (normalement)", 0xFFFFFF);
	printTextScreen(22, 237, "n'engendre pas de bugs dans le XMB", 0xFFFFFF);
	
	}
		
	if(status==3)
	{
	blitImageToScreen(0, 0, fond->imageWidth, fond->imageHeight, fond, 0, 0);
	blitAlphaImageToScreen(0, 0, texte->imageWidth, texte->imageHeight, texte, 0, 0);
	
	blitAlphaImageToScreen(0, 0, point->imageWidth, point->imageHeight, point, 13, 110);
	printTextScreen(22, 204, "--------------------------------------------", 0xFFFFFF);
	printTextScreen(22, 215, "Restaure les fichiers modifies par ce programme.", 0xFFFFFF);
	printTextScreen(22, 226, "Vous ne devez pas avoir supprime les .bak", 0xFFFFFF);
	printTextScreen(22, 237, "a la racine de votre Memory Stick !", 0xFFFFFF);
	
	}
	
	if(status==4)
	{
	blitImageToScreen(0, 0, fond->imageWidth, fond->imageHeight, fond, 0, 0);
	blitAlphaImageToScreen(0, 0, texte->imageWidth, texte->imageHeight, texte, 0, 0);
	
	blitAlphaImageToScreen(0, 0, point->imageWidth, point->imageHeight, point, 13, 143);
		printTextScreen(22, 204, "--------------------------------------------", 0xFFFFFF);
	printTextScreen(22, 215, "Les createurs, remerciements, etc.", 0xFFFFFF);

	
	}
	
	if(status==5)
	{
	blitImageToScreen(0, 0, fond->imageWidth, fond->imageHeight, fond, 0, 0);
	blitAlphaImageToScreen(0, 0, texte->imageWidth, texte->imageHeight, texte, 0, 0);
	
	blitAlphaImageToScreen(0, 0, point->imageWidth, point->imageHeight, point, 13, 176);
	printTextScreen(22, 204, "--------------------------------------------", 0xFFFFFF);
	printTextScreen(22, 215, "Quitte le programme.", 0xFFFFFF);
	printTextScreen(22, 226, "Vous pouvez aussi utiliser la touche HOME de votre PSP.", 0xFFFFFF);
	
	
	}
		
	flipScreen();
	deja=1;

	}


	sceKernelDelayThread(1*133*1000); // une petite pause sinon le menu bug.

	old=status;
	

} //Fin de la boucle


*/


}
